// You can import API functions like this from D3.js.
import { select, csv } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');


const render = (data) => {
   const g = svg.append('g').attr(
    'transform',
    `translate(${0}, 
  ${0})`
  );
  
  g.selectAll('rect')
	.data(data)
  .enter()
  .append('rect')
	.attr('width', 100)
  .attr('height', 200)
	}




csv('data.csv').then((data) => {
  data.forEach((d) => {
    console.log(d.Country, 
                d['2022 Population']);
  });
	render(data);
});